aboutsummaryrefslogtreecommitdiffstats
path: root/main/xl2tpd/xl2tpd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/xl2tpd/xl2tpd.initd')
-rw-r--r--main/xl2tpd/xl2tpd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/main/xl2tpd/xl2tpd.initd b/main/xl2tpd/xl2tpd.initd
new file mode 100644
index 0000000000..d56e1671e8
--- /dev/null
+++ b/main/xl2tpd/xl2tpd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting xl2tpd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/xl2tpd -- ${XL2TPD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping xl2tpd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/xl2tpd.pid
+ result=$?
+ start-stop-daemon --stop --quiet --exec /usr/sbin/xl2tpd-control
+ result=$(( $result + $? ))
+ eend $result
+}